OpenVDB 12.1.0

Loading...
Searching...
No Matches
Codecs.h File Reference
`#include <openvdb/openvdb.h>`
`#include <openvdb/version.h>`
`#include <openvdb/util/Assert.h>`
`#include "openvdb_ax/ast/Tokens.h"`
`#include "openvdb_ax/codegen/FunctionTypes.h"`

Go to the source code of this file.

## Classes
class | Codec

## Namespaces
namespace | openvdb
namespace | openvdb::v12_1
namespace | openvdb::v12_1::ax
namespace | openvdb::v12_1::ax::codegen

## Typedefs
using | CodecNameMap = std::map<const std::string, const Codec*>
using | CodecTypeMap = std::map<const ast::tokens::CoreType, CodecNameMap>
using | Codecs = std::vector<const Codec*>

## Functions
OPENVDB_AX_API const CodecTypeMap & | getCodecTypeMap ()
| Get the global codec map.
OPENVDB_AX_API const Codec * | getCodec (const ast::tokens::CoreType type, const std::string &name)
| Get a specific codec. Returns a nullptr if no codec exists.
OPENVDB_AX_API const CodecNameMap * | getTypeSupportedCodecs (const ast::tokens::CoreType type)
| Get a specific set of codecs which encode a given type. Returns a nullptr if no codec exists.